# API Reference Index

This section provides detailed information about the commands available in the Hyp API, their required and optional parameters, use cases, error codes, and code examples provided in Java, Python, and JavaScript.

The following commands are available in the Hyp API:

* [`addCgInvoice`](/enterprise/api-reference/addcginvoice.md)
* [`cancelDeal`](/enterprise/api-reference/canceldeal.md)
* [`doDeal`](/enterprise/api-reference/dodeal.md)
* [`getSessionId`](/enterprise/api-reference/getsessionid.md)
* [`inquireInvoice`](/enterprise/api-reference/inquireinvoice.md)
* [`refundCgInvoice`](/enterprise/api-reference/refundcginvoice.md)
* [`refundDeal`](/enterprise/api-reference/refunddeal.md)
* [`transmitInquire`](/enterprise/api-reference/transmitinquire.md)
* [`transmitTerminal`](/enterprise/api-reference/transmitterminal.md)

For a general overview of the Hyp API request and response structure, see [API Request & Response General Structure](/enterprise/introduction/request-and-response-general-structure.md).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.hyp.co.il/enterprise/api-reference/index.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
